
%-------------------------------------------------------------------------------
%   Draw a spacecraft in a plain 3D box.
%
%   To initialize:
%
%   tag = DrawSCPlanPlugIn( 'initialize', g, hFig, position ), or
%   tag = DrawSCPlanPlugIn( g )
%
%   g        is the spacecraft CAD data structure. 
%   hFig     is the handle to the figure window
%   position is an array [left bottom width height] which gives the position
%            of the plugin in the window
%
%   If hFig is not entered it will create a new window 450 pixels square. 
%   You need to save tag for subsequent calls.
%
%   To pass new information to the plugin use
%
%   DrawSCPlanPlugIn( 'update', tag, g )
%
%   To erase:
%
%     DrawSCPlanPlugIn( 'erase', tag )
%
%   To move components away from the center:
%
%     DrawSCPlanPlugIn( 'scale', tag, scaleFactor )
%
%   To redraw:
%
%     DrawSCPlanPlugIn( 'draw', tag )
%
%   To close the display, type:
%
%     DrawSCPlanPlugIn( 'quit', tag )
%
%-------------------------------------------------------------------------------
%   Form:
%   DrawSCPlanPlugIn( action, modifier, hFig, position )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   action      (1,:)  Action
%   modifier    (1,:)  Modifier to the action
%   hFig        (1,1)  Handle to the figure or if 'update' is jD
%   position    (1,4)  [left bottom width height]
%
%   -------
%   Outputs
%   -------
%   tag         (1,:)  The tag that identifies the display   
%
%   See also DrawSpacecraftPatches.
%
%-------------------------------------------------------------------------------